Get analysis status (with presigned metrics.json when READY).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"analysisName": "<string>",
"sensor": "osc",
"referencePath": "<string>",
"totalFrames": 0,
"frameCount": 0,
"engine": "siril",
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"frames": [
{
"frameIndex": 4503599627370495,
"relativePath": "<string>",
"fwhm": 1,
"wfwhm": 1,
"roundness": 1,
"background": 1,
"nbstars": 4503599627370495,
"quality": 1,
"included": true
}
],
"metricsUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Stacking and analysis
Get analysis status (with presigned metrics.json when READY).
GET
/
integration-sets
/
{id}
/
analyses
/
{jobId}
Get analysis status (with presigned metrics.json when READY).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/analyses/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"analysisName": "<string>",
"sensor": "osc",
"referencePath": "<string>",
"totalFrames": 0,
"frameCount": 0,
"engine": "siril",
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"frames": [
{
"frameIndex": 4503599627370495,
"relativePath": "<string>",
"fwhm": 1,
"wfwhm": 1,
"roundness": 1,
"background": 1,
"nbstars": 4503599627370495,
"quality": 1,
"included": true
}
],
"metricsUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Show child attributes
Show child attributes